## postgresql-common 274

=== debian/changelog ===
postgresql-common (274) unstable; urgency=medium

  * PgCommon.pm read_conf_file: Propagate missing_ok to included files.
  * Move pgdg-keyring conflicts to postgresql-client-common where the files
    are located now.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Feb 2025 11:52:38 +0100

postgresql-common (273) unstable; urgency=medium

  * Temporarily remove dependency on "make" until the dependency from
    postgresql-common on postgresql-common-dev is removed for the PG18
    transititon.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Feb 2025 15:03:16 +0100

postgresql-common (272) unstable; urgency=medium

  * Move libipc-run-perl dependency to postgresql-common-dev.

 -- Christoph Berg <myon@debian.org>  Thu, 13 Feb 2025 15:14:15 +0100

postgresql-common (271) unstable; urgency=medium

  * Mark postgresql-common-dev as M-A: foreign.
  * pg_createcluster: Disable SSL on 9.1 and earlier.
  * pg_upgradecluster: Ignore missing postgresql-contrib-NN for 10+.
  * PgCommon read_cluster_conf_file: Allow postgresql.auto.conf to be missing.

 -- Christoph Berg <myon@debian.org>  Thu, 13 Feb 2025 15:01:44 +0100

postgresql-common (270) unstable; urgency=medium

  * postgresql-all.config: Handle systems without clusters.
  * t/190_pg_buildext.t: Check for postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Fri, 24 Jan 2025 13:03:15 +0100

postgresql-common (269) unstable; urgency=medium

  [ Christoph Berg ]
  * If the "postgresql" meta package is installed, offer automated upgrading
    of the "main" cluster. (Closes: #810730)
  * pg_upgradecluster: Check if all packages for the old version are installed
    for the new version as well. (Closes: #703850)
  * pg_upgradecluster: Enable checksums in "dump" upgrades to 18+; add
    --(no-)data-checksums option. (Closes: #959705)
  * pg_backupcluster: Add -Z --compress option.
  * pg_backupcluster: Mark RUNNING backups properly.
  * pg_ctlcluster: Fix setsid call, thanks Nam T. Nguyễn. (Closes: #1054782)
  * pg_dropcluster: Drop only tablespace dirs matching our catalog version.
  * README.Debian: Update upgrade instructions and fill in major versions
    automatically. (Closes: #943788, #971536)
  * Move contents of postgresql-server-dev-all to new package
    postgresql-common-dev so they can be used stand-alone without pulling in
    postgresql-common-dev-* and dependencies. postgresql-server-dev-all is now
    a pure meta package. Also take over pg_buildext and server build files
    from postgresql-common.
  * postgresql-common temporarily depends on postgresql-common-dev until
    all extension test dependencies have been updated. (Planned for the PG18
    release preparations.)
  * postgresql-common-dev is arch: all, convert postgresql-server-dev-all back
    to arch: all as well since the PG build chain isn't cross-build ready yet
    anyway.
  * Remove postgresql-contrib meta package, provide it from postgresql.
  * supported-versions: Remove obsolete distribution-detection code; move to
    postgresql-common-dev; don't install
    /etc/postgresql-common/supported_versions by default.
  * postgresql-common.config: Remove deprecation notice for old majors.
  * debian/maintscripts-functions: Create "main" cluster only when no other
    clusters exist yet.
  * pg_buildexit: Pass -j to `make` invocations. (Salsa: !23)
  * pg_buildexit: Error out without a PGVERSION pattern in debian/control.in.
  * PgCommon.pm set_conffile_value: Fix replacing unquoted floats and negative
    values, thanks Allan Forsberg!
  * PgCommon.pm read_conf_file: Add missing_ok parameter.
  * Remove obsolete /etc/sysctl.d/30-postgresql-shm.conf. (Closes: #1042927)
  * Move apt.postgresql.org.{asc,gpg,sh} to postgresql-client-common.
    Drop /etc/apt/trusted.gpg.d/apt.postgresql.org.gpg compat code.

  [ Christopher Bock ]
  * pg_backupcluster: Fix backup directory in documentation.

  [ Dennis Schwan ]
  * Prevent removal of update-alternatives in RPM when updating package.

  [ Michael Banck ]
  * pg_createcluster: Do not remove existing data directory on failure.
    (Closes: #1056303)

 -- Christoph Berg <myon@debian.org>  Wed, 22 Jan 2025 20:05:11 +0100

## postgresql-common 274.pgdg20.04+1

=== debian/changelog ===
postgresql-common (274.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Feb 2025 11:52:38 +0100

## postgresql-common 274.pgdg22.04+1

=== debian/changelog ===
postgresql-common (274.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Feb 2025 11:52:38 +0100

## postgresql-common 274.pgdg24.04+1

=== debian/changelog ===
postgresql-common (274.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Feb 2025 11:52:38 +0100

## postgresql-common 274.pgdg24.10+1

=== debian/changelog ===
postgresql-common (274.pgdg24.10+1) oracular-pgdg; urgency=medium

  * Rebuild for oracular-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Feb 2025 11:52:38 +0100

## postgresql-common 274.pgdg25.04+1

=== debian/changelog ===
postgresql-common (274.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Feb 2025 11:52:38 +0100

## postgresql-common 274.pgdg110+1

=== debian/changelog ===
postgresql-common (274.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Feb 2025 11:52:38 +0100

## postgresql-common 274.pgdg120+1

=== debian/changelog ===
postgresql-common (274.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Feb 2025 11:52:38 +0100

## postgresql-common 274.pgdg130+1

=== debian/changelog ===
postgresql-common (274.pgdg130+1) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Feb 2025 11:52:38 +0100

## postgresql-common 274.pgdg+1

=== debian/changelog ===
postgresql-common (274.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Feb 2025 11:52:38 +0100

## postgresql-common 275

=== debian/changelog ===
postgresql-common (275) unstable; urgency=medium

  [ Christoph Berg ]
  * postgresql.mk: Enable --with-libcurl in PG18; ship llvmjit.so in new -jit
    package.
  * t/TestLib.pm check_clean: Sleep and retry on failure. (Closes: #1099815)
  * Updated nl translation by Frans Spiesschaert, thanks! (Closes: #1099468)
  * Updated de translation by Hermann-Josef Beckers, thanks! (Closes: #1099529)

  [ Michael Banck ]
  * pg_lsclusters: Warn if postgresql.conf is not readable.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Mar 2025 16:37:57 +0100

## postgresql-common 276

=== debian/changelog ===
postgresql-common (276) unstable; urgency=medium

  * pg_upgradecluster: Use --missing-stats-only in analyze hook for PG18+.
  * pg_virtualenv: Use PG18's extension_control_path to find extensions in
    temporary build paths instead of our custom extension_destdir patch.
  * pg_buildext: Export $PG_CONFIG in all modes.
  * Fix "should we build with LLVM support" detection on PG18+.
  * Remove test-with-jit.conf, wasn't really exercised anyway.
  * Updated es translation by Camaleón, thanks! (Closes: #1098284)
  * Updated tr translation by Atila Koç, thanks! (Closes: #1101161)
  * Updated pt_BR translation by Paulo Henrique de Lima Santana, thanks!
    (Closes: #1098442)

 -- Christoph Berg <myon@debian.org>  Mon, 31 Mar 2025 15:10:15 +0200

## postgresql-common 277

=== debian/changelog ===
postgresql-common (277) unstable; urgency=medium

  * Updated ro translation by Remus-Gabriel Chelu, thanks! (Closes: #1101817)
  * server/postgresql.mk: Build PG18 with liburing.

 -- Christoph Berg <myon@debian.org>  Wed, 09 Apr 2025 12:17:57 +0200

## postgresql-common 277.pgdg20.04+~20250402.1319.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg20.04+~20250402.1319.g89c3842) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

postgresql-common (277) UNRELEASED; urgency=medium

  * Updated ro translation by Remus-Gabriel Chelu, thanks! (Closes: #1101817)
  * server/postgresql.mk: Build PG18 with liburing.

 -- Christoph Berg <myon@debian.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg20.04+~20250405.0953.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg20.04+~20250405.0953.g89c3842) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg22.04+~20250402.1318.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg22.04+~20250402.1318.g89c3842) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg22.04+~20250405.0953.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg22.04+~20250405.0953.g89c3842) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg24.04+~20250402.1318.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg24.04+~20250402.1318.g89c3842) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg24.04+~20250405.0953.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg24.04+~20250405.0953.g89c3842) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg24.10+~20250402.1318.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg24.10+~20250402.1318.g89c3842) oracular-pgdg; urgency=medium

  * Rebuild for oracular-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg24.10+~20250405.0953.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg24.10+~20250405.0953.g89c3842) oracular-pgdg; urgency=medium

  * Rebuild for oracular-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg25.04+~20250402.1318.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg25.04+~20250402.1318.g89c3842) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg25.04+~20250405.0953.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg25.04+~20250405.0953.g89c3842) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg110+~20250402.1318.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg110+~20250402.1318.g89c3842) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg110+~20250405.0953.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg110+~20250405.0953.g89c3842) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg120+~20250402.1318.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg120+~20250402.1318.g89c3842) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

=== debian/tests/control ===
Tests: default-psql
Depends:
 postgresql,
Restrictions: needs-root, skippable

Tests: run-testsuite
Depends:
 build-essential,
 debhelper,
 fakeroot,
 hunspell-en-us,
 iproute2,
 locales-all,
 logrotate,
 netcat-openbsd,
 perl,
 postgresql-all,
 postgresql-doc,
 procps,
Restrictions: needs-root

## postgresql-common 277.pgdg120+~20250405.0953.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg120+~20250405.0953.g89c3842) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg130+~20250402.1318.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg130+~20250402.1318.g89c3842) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg130+~20250405.0953.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg130+~20250405.0953.g89c3842) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg+~20250402.1318.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg+~20250402.1318.g89c3842) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 277.pgdg+~20250405.0953.g89c3842

=== debian/changelog ===
postgresql-common (277.pgdg+~20250405.0953.g89c3842) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Apr 2025 12:50:44 +0200

## postgresql-common 278

=== debian/changelog ===
postgresql-common (278) unstable; urgency=medium

  * pg_upgradecluster: Do two vacuumdb runs in analyze hook for PG18+.
  * t/040_upgrade.t: Verify presence of stats after upgrade.
  * pg_virtualenv: Adjust to extension_control_path change in PG18.

 -- Christoph Berg <myon@debian.org>  Wed, 07 May 2025 17:58:33 +0200

## postgresql-common 278.pgdg20.04+1

=== debian/changelog ===
postgresql-common (278.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 07 May 2025 17:58:33 +0200

## postgresql-common 278.pgdg22.04+1

=== debian/changelog ===
postgresql-common (278.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 07 May 2025 17:58:33 +0200

## postgresql-common 278.pgdg24.04+1

=== debian/changelog ===
postgresql-common (278.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 07 May 2025 17:58:33 +0200

## postgresql-common 278.pgdg24.10+1

=== debian/changelog ===
postgresql-common (278.pgdg24.10+1) oracular-pgdg; urgency=medium

  * Rebuild for oracular-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 07 May 2025 17:58:33 +0200

## postgresql-common 278.pgdg25.04+1

=== debian/changelog ===
postgresql-common (278.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 07 May 2025 17:58:33 +0200

## postgresql-common 278.pgdg110+1

=== debian/changelog ===
postgresql-common (278.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 07 May 2025 17:58:33 +0200

## postgresql-common 278.pgdg120+1

=== debian/changelog ===
postgresql-common (278.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 07 May 2025 17:58:33 +0200

## postgresql-common 278.pgdg130+1

=== debian/changelog ===
postgresql-common (278.pgdg130+1) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 07 May 2025 17:58:33 +0200

## postgresql-common 278.pgdg+1

=== debian/changelog ===
postgresql-common (278.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 07 May 2025 17:58:33 +0200

## postgresql-common 280

=== debian/changelog ===
postgresql-common (280) unstable; urgency=medium

  * server/postgresql.mk: Use --with-libcurl on Linux only.
  * Updated pt translation by Américo Monteiro, thanks! (Closes: #1107433)
  * Updated it translation by Luca Monducci, thanks! (Closes: #1107848)

 -- Christoph Berg <myon@debian.org>  Mon, 23 Jun 2025 15:32:53 +0200

postgresql-common (279) unstable; urgency=medium

  * server/postgresql.mk: Build PG18 with libnuma on Linux.

 -- Christoph Berg <myon@debian.org>  Thu, 12 Jun 2025 21:02:00 +0200

## postgresql-common 281

=== debian/changelog ===
postgresql-common (281) unstable; urgency=medium

  * pgdg/apt.postgresql.org.sh: PG19 has been branched.
  * server/postgresql.mk: Fix building for PG19.
  * t: Drop python3 exceptions for 9.x, not required.

 -- Christoph Berg <myon@debian.org>  Sat, 19 Jul 2025 12:25:53 +0200

=== debian/control ===
Source: postgresql-common
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Martin Pitt <mpitt@debian.org>,
 Christoph Berg <myon@debian.org>,
 Peter Eisentraut <petere@debian.org>,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
Build-Depends:
 debhelper-compat (= 13),

Package: postgresql-common
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 debconf (>= 0.5.00) | debconf-2.0,
 libjson-perl,
 sysvinit-utils (>= 3.05-4~) | lsb-base,
 postgresql-client-common (= ${source:Version}),
# TODO: remove postgresql-common-dev dependency before the PG18 release
 postgresql-common-dev (= ${source:Version}),
 ssl-cert (>= 1.0.11),
 ucf,
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 e2fsprogs,
 logrotate,
Breaks:
 postgresql-9.1 (<< 9.1.1-3~),
Description: PostgreSQL database-cluster manager
 The postgresql-common package provides a structure under which
 multiple versions of PostgreSQL may be installed and/or multiple
 clusters maintained at one time.
 .
 The commands provided are pg_conftool, pg_createcluster, pg_ctlcluster,
 pg_dropcluster, pg_lsclusters, pg_renamecluster, pg_upgradecluster,
 pg_virtualenv.
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql-client-common
Architecture: all
Multi-Arch: foreign
Depends:
 netbase,
 ${misc:Depends},
 ${perl:Depends},
Breaks:
 pgdg-keyring,
 postgresql-common (<< 269),
Replaces:
 pgdg-keyring,
 postgresql-common (<< 269),
Description: manager for multiple PostgreSQL client versions
 The postgresql-client-common package provides a structure under which
 multiple versions of PostgreSQL client programs may be installed at
 the same time. It provides a wrapper which selects the right version
 for the particular cluster you want to access (with a command line
 option, an environment variable, /etc/postgresql-common/user_clusters,
 or ~/.postgresqlrc).
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql-common-dev
Architecture: all
Multi-Arch: foreign
Depends:
 libipc-run-perl,
# TODO: re-add make dependency before the PG18 release
# make:any,
 ${misc:Depends},
Breaks:
 postgresql-client-common (<< 269),
 postgresql-common (<< 269),
 postgresql-server-dev-all (<< 269),
Replaces:
 postgresql-client-common (<< 269),
 postgresql-common (<< 269),
 postgresql-server-dev-all (<< 269),
Description: extension build tool for multiple PostgreSQL versions
 The postgresql-server-dev-all package provides the pg_buildext script for
 simplifying packaging of a PostgreSQL extension supporting multiple major
 versions of the product, and dh_make_pgxs which builds a template debian/
 source package directory based on pg_buildext.
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql-server-dev-all
Architecture: all
Depends:
 postgresql-common-dev (= ${source:Version}),
 ${misc:Depends},
 ${server-dev-all-depends},
Description: build tools for multiple PostgreSQL versions
 The postgresql-server-dev-all metapackage depends on all server-dev-NN
 packages for all supported PostgreSQL major versions, required to
 build PostgreSQL extension packages, as well as on postgresql-common-dev
 for build infrastructure.
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql
Architecture: all
Depends:
 postgresql-${default-version},
 ${misc:Depends},
Suggests:
 postgresql-doc,
Provides:
 postgresql-contrib (= ${default-version}),
Description: object-relational SQL database (supported version)
 This metapackage always depends on the currently supported PostgreSQL
 database server version. It also offers to automatically upgrade the
 "main" database cluster to the lastest supported major version.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-client
Architecture: all
Multi-Arch: foreign
Depends:
 postgresql-client-${default-version},
 ${misc:Depends},
Description: front-end programs for PostgreSQL (supported version)
 This metapackage always depends on the currently supported database
 client package for PostgreSQL.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 postgresql-doc-${default-version},
 ${misc:Depends},
Description: documentation for the PostgreSQL database management system
 This metapackage always depends on the currently supported PostgreSQL
 database documentation package.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-all
Architecture: all
Depends:
 libecpg-dev,
 libpq-dev,
 postgresql-common (= ${source:Version}),
 postgresql-server-dev-all,
 ${misc:Depends},
 ${postgresql-all-depends},
Description: metapackage depending on all PostgreSQL server packages
 This metapackage depends on all PostgreSQL server packages, in all
 supported versions (excluding documentation and debug symbols). It
 exists to facilitate depending on the server packages in test
 environments.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

## postgresql-common 281.pgdg130%2B1

=== debian/changelog ===
postgresql-common (281.pgdg130+1) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 19 Jul 2025 12:25:53 +0200

## postgresql-common 282

=== debian/changelog ===
postgresql-common (282) unstable; urgency=medium

  * pg_upgradecluster "dump" method improvements:
    * Revert to using plain pg_dumpall for "dump" upgrades.
      In 2005, version 33 had switched to using custom format dumps and
      pg_restore to support large objects, but this has been supported in
      pg_dumpall since 8.1. This enables better error detection during the
      upgrade and abort instead of papering over problems. (The use of
      --no-data-for-failed-tables is also dropped.)
    * Output is now the queries instead of the command tags, should be more
      pleasant to watch.
    * Stop mangling pg_proc.probin, was introduced to work around problems
      with upgrades from woody/7.4.
    * Upgrading clusters with databases not accepting connections is no longer
      supported. (An error is thrown instead.)
    * Use PGOPTIONS to temporarily override default_transaction_read_only.
  * testsuite: Remove special case for plpython3 on 9.x and python 3.12.
  * t/TestLib.pm: Support catching stderr in exec_as().
  * testsuite: Make tests aware on which archs postgresql-NN-jit is built.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Aug 2025 11:28:52 +0200

## postgresql-common 282ubuntu1

=== debian/changelog ===
postgresql-common (282ubuntu1) questing; urgency=medium

  * t/090_multicluster.t: skip port change test due to a regression in rust
    coreutils (LP 2125504) (LP: #2125057)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 30 Sep 2025 12:23:30 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,

=== dh_make_pgxs/debian/tests/control ===
Depends:
 postgresql-common-dev,
 @,
Tests: installcheck
Restrictions: allow-stderr

=== dh_make_pgxs/debian/watch ===
version=4
@URL@/tags .*/v?(.*).tar.gz

## postgresql-common 284

=== debian/changelog ===
postgresql-common (284) unstable; urgency=medium

  * Restore postgresql-common -> postgresql-common-dev dependency until
    all extensions have been updated to test-depend on it.
  * Skip JIT tests if postgresql-18-jit is not installed.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Sep 2025 17:58:33 +0200

postgresql-common (283) unstable; urgency=medium

  * Build extensions for PostgreSQL 18; set 18 as default version.
  * Remove postgresql-common -> postgresql-common-dev dependency; add 'make'
    to postgresql-common-dev dependencies.
  * Instead of having extensions depend on postgresql-NN-jit-llvm (>= X),
    use Breaks: postgresql-NN-jit-llvm (<< X) so postgresql-NN-jit does not
    have to be installed.
  * postgresql@.service: Use TimeoutStartSec=infinity instead of 0.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Sep 2025 14:23:07 +0200

## postgresql-common 285.pgdg11+1

=== debian/changelog ===
postgresql-common (285.pgdg11+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 09 Oct 2025 16:12:32 +0200

postgresql-common (285) unstable; urgency=medium

  * Drop postgresql-common -> postgresql-common-dev dependency.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 16:12:32 +0200

## postgresql-common 285.pgdg12+1

=== debian/changelog ===
postgresql-common (285.pgdg12+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 09 Oct 2025 16:12:32 +0200

## postgresql-common 285.pgdg13%2B1

=== debian/changelog ===
postgresql-common (285.pgdg13+1) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 09 Oct 2025 16:12:32 +0200

## postgresql-common 286

=== t/foo/Makefile ===
TAR = foo_123.orig.tar.gz

test: $(TAR)
	cd foo-123 && echo y | EDITOR=true dh_make_pgxs
	cd foo-123 && dpkg-buildpackage -us -uc

tar $(TAR):
	tar cfz $(TAR) foo-123/

clean:
	rm -f *.*
	rm -rf foo-123/build-* foo-123/debian foo-123/*.o*

=== debian/changelog ===
postgresql-common (286) unstable; urgency=medium

  * pg_buildext: run_installed always uses the installed versions.

 -- Christoph Berg <myon@debian.org>  Sat, 11 Oct 2025 12:36:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,
  Peter Eisentraut <petere@debian.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
@@ -25,7 +24,6 @@
  libjson-perl,
  sysvinit-utils (>= 3.05-4~) | lsb-base,
  postgresql-client-common (= ${source:Version}),
-# TODO: remove postgresql-common-dev dependency before the PG18 release
  postgresql-common-dev (= ${source:Version}),
  ssl-cert (>= 1.0.11),
  ucf,
@@ -85,8 +83,7 @@
 Multi-Arch: foreign
 Depends:
  libipc-run-perl,
-# TODO: re-add make dependency before the PG18 release
-# make:any,
+ make:any,
  ${misc:Depends},
 Breaks:
  postgresql-client-common (<< 269),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

ifneq ($(findstring pgdg,$(DEB_VERSION)),)
	FLAVOR := pgdg
else
	FLAVOR := default
endif
SUPPORTED_VERSIONS := $(shell PG_SUPPORTED_VERSIONS="$(FLAVOR)" debian/supported-versions)
DEFAULT_VER := $(lastword $(SUPPORTED_VERSIONS))

%:
	dh $@

override_dh_auto_configure:
	@echo "### Building postgresql-common flavor $(FLAVOR)"
	@echo "### Supported PostgreSQL versions: $(SUPPORTED_VERSIONS) (default version: $(DEFAULT_VER))"
	sed -i -e "s/^NEWVERSION=.*/NEWVERSION=$(DEFAULT_VER)/" debian/postgresql.config debian/postgresql.postinst
	sed -e "s/NN/$(DEFAULT_VER)/g" -e "s/MM/$(shell echo $$(($(DEFAULT_VER) + 1)))/g" debian/README.Debian.in > debian/README.Debian

ifeq ($(FLAVOR), pgdg)
execute_after_dh_install:
	mkdir -p debian/postgresql-common-dev/etc/postgresql-common
	echo "# See /usr/share/postgresql-common/supported-versions for documentation of this file" > debian/postgresql-common-dev/etc/postgresql-common/supported_versions
	echo "$(FLAVOR)" >> debian/postgresql-common-dev/etc/postgresql-common/supported_versions
endif

# do not restart postgresql.service on postgresql-common upgrades
override_dh_installinit:
	dh_installinit -ppostgresql-common --name=postgresql -u'defaults 19 21' --no-stop-on-upgrade
override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade
	# move unit files to /usr on systems that support it
	if test -x /usr/bin/dh_movetousr; then dh_movetousr; fi

override_dh_gencontrol:
	dh_gencontrol -ppostgresql-server-dev-all -- -Vserver-dev-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-server-dev-$v,)"

	# the versionless metapackages need to have version numbers which match
	# the server version, not the p-common version
	dh_gencontrol -ppostgresql -ppostgresql-client -ppostgresql-doc -- \
		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}'

	dh_gencontrol -ppostgresql-all -- \
		-Vpostgresql-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-$v,postgresql-plperl-$v,postgresql-plpython3-$v,postgresql-pltcl-$v,)"

	dh_gencontrol --remaining-packages

## postgresql-common 287

=== debian/changelog ===
postgresql-common (287) unstable; urgency=medium

  * Drop postgresql-common -> postgresql-common-dev dependency.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Nov 2025 18:06:11 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
  libjson-perl,
  sysvinit-utils (>= 3.05-4~) | lsb-base,
  postgresql-client-common (= ${source:Version}),
- postgresql-common-dev (= ${source:Version}),
  ssl-cert (>= 1.0.11),
  ucf,
  ${misc:Depends},

## postgresql-common 287ubuntu1

=== debian/changelog ===
postgresql-common (287ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - t/090_multicluster.t: skip port change test due to a regression in rust
      coreutils (LP 2125504) (LP: #2125057)
    - Ignore postgresql tests results on ppc64el and s390x for now, they go
      OOM

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Nov 2025 08:57:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,

## postgresql-common 287.pgdg11%2B1

=== debian/changelog ===
postgresql-common (287.pgdg11+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Nov 2025 18:06:11 +0100

## postgresql-common 287.pgdg12%2B1

=== debian/changelog ===
postgresql-common (287.pgdg12+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Nov 2025 18:06:11 +0100

## postgresql-common 287.pgdg13%2B1

=== debian/changelog ===
postgresql-common (287.pgdg13+1) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Nov 2025 18:06:11 +0100

## postgresql-common 287.pgdg14%2B1

=== debian/changelog ===
postgresql-common (287.pgdg14+1) forky-pgdg; urgency=medium

  * Rebuild for forky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Nov 2025 18:06:11 +0100

## postgresql-common 287.pgdg22.04%2B1

=== debian/changelog ===
postgresql-common (287.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Nov 2025 18:06:11 +0100

## postgresql-common 287.pgdg24.04%2B1

=== debian/changelog ===
postgresql-common (287.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Nov 2025 18:06:11 +0100

## postgresql-common 287.pgdg25.04%2B1

=== debian/changelog ===
postgresql-common (287.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Nov 2025 18:06:11 +0100

## postgresql-common 287.pgdg25.10%2B1

=== debian/changelog ===
postgresql-common (287.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Nov 2025 18:06:11 +0100

## postgresql-common 287.pgdg%2B1

=== debian/changelog ===
postgresql-common (287.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Nov 2025 18:06:11 +0100

## postgresql-common 288

=== debian/changelog ===
postgresql-common (288) unstable; urgency=medium

  [ Christoph Berg ]
  * Remove obsolete /etc/sysctl.d/30-postgresql-shm.conf, take 2.
    (Closes: #1120606)
  * apt.postgresql.org.sh: Add -a architecture option; default to the local
    native architecture.
  * server/postgresql.mk: Build regress.so and install into server-dev package.

  [ Magnus Hagander ]
  * PgCommon.pm package_list: Accept held packages as installed.

  [ Laurenz Albe ]
  * pg_upgradecluster.d/analyze: Prevent waiting for synchronous standbys.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Jan 2026 19:42:15 +0100

## postgresql-common 288ubuntu1

=== debian/changelog ===
postgresql-common (288ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - t/090_multicluster.t: skip port change test due to a regression in rust
      coreutils (LP 2125504) (LP: #2125057)
    - Ignore postgresql tests results on ppc64el and s390x for now, they go
      OOM

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Jan 2026 09:48:35 +0100

## postgresql-common 289

=== debian/changelog ===
postgresql-common (289) unstable; urgency=medium

  * pg_upgradecluster: PG 19 removes escape_string_warning.
  * t/027_jit.t: skip on EOL versions that are incompatible with newer LLVM.
  * t/090_multicluster.t: Don't rely on `sort -k3` to do the right thing.
  * pg_wrapper: Remove readline LD_PRELOAD hack.
  * Updated ca translation. (Closes: #1126654)

 -- Christoph Berg <myon@debian.org>  Wed, 11 Feb 2026 11:10:30 +0100

## postgresql-common 289ubuntu1

=== debian/changelog ===
postgresql-common (289ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore postgresql tests results on ppc64el and s390x for now, they go
      OOM

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Feb 2026 09:17:56 +0100

## postgresql-common 290

=== debian/changelog ===
postgresql-common (290) unstable; urgency=medium

  * t/090_multicluster.t: Use LANG=C to un-confuse rust-coreutils' sort.

 -- Christoph Berg <myon@debian.org>  Thu, 26 Feb 2026 12:04:54 +0100

## postgresql-common 290ubuntu1

=== debian/changelog ===
postgresql-common (290ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore postgresql tests results on ppc64el and s390x for now, they go
      OOM

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Feb 2026 15:05:01 +0100
